package com.yihu.hos.system.model;

/**
 * SystemDatasource entity. @author MyEclipse Persistence Tools
 */

public class SystemDatasource implements java.io.Serializable {

	// Fields

	private String id;
	private String orgId;
	private String name;
	private String config;
	private String type;
	// 显示作用，不用持久化到数据库
	private String orgName;

	// Constructors

	/** default constructor */
	public SystemDatasource() {
	}

	/** minimal constructor */
	public SystemDatasource(String name) {
		this.name = name;
	}

	/** full constructor */
	public SystemDatasource(String orgId, String name, String config, String type) {
		this.orgId = orgId;
		this.name = name;
		this.config = config;
		this.type = type;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getOrgId() {
		return this.orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getConfig() {
		return this.config;
	}

	public void setConfig(String config) {
		this.config = config;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
}